"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1072bfb00>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1072bfc40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1072bfba0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1072bfce0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1072bfd80>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1072bfe20>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1072bfec0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1072bff60>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11a044040>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11a0440e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11a044180>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11a044220>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11a0442c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11a044360>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11a044400>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11a0444a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11a044540>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11a0445e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11a044680>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11a044720>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11a0447c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11a044860>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11a044900>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11a0449a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11a044a40>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11a044ae0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11a044b80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11a044c20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11a044cc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11a044d60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11a044e00>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11a044ea0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11a044f40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11a044fe0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11a045080>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11a045120>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11a0451c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11a045260>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11a045300>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11a0453a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11a045440>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x11a0454e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x11a045580>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x11a045620>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x11a0456c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x11a045760>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11a045800>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11a0458a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11a045940>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x11a0459e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x11a045a80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x11a045b20>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x11a045bc0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x11a045c60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x11a045d00>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x11a045da0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x11a045e40>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11a045ee0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x11a045f80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x11a046020>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x11a0460c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x11a046160>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x11a046200>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x11a0462a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x11a046340>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x11a0463e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x11a046480>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x11a046520>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x11a0465c0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11a046660>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x11a046700>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x11a0467a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11a046840>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x11a0468e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x11a046980>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x11a046a20>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x11a046ac0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x11a046b60>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x11a046c00>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x11a046d40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x11a046ca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x11a046de0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x11a046e80>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x11a046f20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x11a046fc0>)]
name: str = 'fr_HOCCN'
